typedef struct _SoundRequest
{
	unsigned int duration; //duration of the sound in ms
	int frequency; //frequency of the sound in HZ
	BYTE WasServiced; //has it been handled
} SoundRequest;

#define SOUND_QUE_LENGTH 20

void SoundOn(void);
void SoundOff(void);
void IncrementRequestPtr(void);
void IncrementServicePtr(void);
void beep(void);
void longBeep(void);
void SetSpkFreq	(int freq);
void SpkInit(void);
void AddSoundRequest(SoundRequest * req);
void SoundInto(void);

